#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUMapMode = 4316,
  GPUOutOfMemoryError = 4327,
  GPUPipelineLayout = 4347,
  GPUQuerySet = 4365,
  GPUQueue = 4377,
  GPURenderBundle = 4386,
  GPURenderBundleEncoder = 4402,
  GPURenderPassEncoder = 4425,
  GPURenderPipeline = 4446,
  GPUSampler = 4464,
  GPUShaderModule = 4475,
  GPUShaderStage = 4491,
  GPUSupportedFeatures = 4506,
  GPUSupportedLimits = 4527,
  GPUTexture = 4546,
  GPUTextureUsage = 4557,
  GPUTextureView = 4573,
  GPUUncapturedErrorEvent = 4588,
  GPUValidationError = 4612,
  GainNode = 4631,
  Gamepad = 4640,
  GamepadAxisMoveEvent = 4648,
  GamepadButton = 4669,
  GamepadButtonEvent = 4683,
  GamepadEvent = 4702,
  GamepadHapticActuator = 4715,
  GamepadLightIndicator = 4737,
  GamepadPose = 4759,
  GamepadServiceTest = 4771,
  GamepadTouch = 4790,
  Geolocation = 4803,
  GeolocationCoordinates = 4815,
  GeolocationPosition = 4838,
  GeolocationPositionError = 4858,
  GetUserMediaRequest = 4883,
  GleanCategory = 4903,
  GleanImpl = 4917,
  GleanLabeled = 4927,
  GleanPingsImpl = 4940,
  Grid = 4955,
  GridArea = 4960,
  GridDimension = 4969,
  GridLine = 4983,
  GridLines = 4992,
  GridTrack = 5002,
  GridTracks = 5012,
  HTMLAllCollection = 5023,
  HTMLAnchorElement = 5041,
  HTMLAreaElement = 5059,
  HTMLAudioElement = 5075,
  HTMLBRElement = 5092,
  HTMLBaseElement = 5106,
  HTMLBodyElement = 5122,
  HTMLButtonElement = 5138,
  HTMLCanvasElement = 5156,
  HTMLCollection = 5174,
  HTMLDListElement = 5189,
  HTMLDataElement = 5206,
  HTMLDataListElement = 5222,
  HTMLDetailsElement = 5242,
  HTMLDialogElement = 5261,
  HTMLDirectoryElement = 5279,
  HTMLDivElement = 5300,
  HTMLDocument = 5315,
  HTMLElement = 5328,
  HTMLEmbedElement = 5340,
  HTMLFieldSetElement = 5357,
  HTMLFontElement = 5377,
  HTMLFormControlsCollection = 5393,
  HTMLFormElement = 5420,
  HTMLFrameElement = 5436,
  HTMLFrameSetElement = 5453,
  HTMLHRElement = 5473,
  HTMLHeadElement = 5487,
  HTMLHeadingElement = 5503,
  HTMLHtmlElement = 5522,
  HTMLIFrameElement = 5538,
  HTMLImageElement = 5556,
  HTMLInputElement = 5573,
  HTMLLIElement = 5590,
  HTMLLabelElement = 5604,
  HTMLLegendElement = 5621,
  HTMLLinkElement = 5639,
  HTMLMapElement = 5655,
  HTMLMarqueeElement = 5670,
  HTMLMediaElement = 5689,
  HTMLMenuElement = 5706,
  HTMLMetaElement = 5722,
  HTMLMeterElement = 5738,
  HTMLModElement = 5755,
  HTMLOListElement = 5770,
  HTMLObjectElement = 5787,
  HTMLOptGroupElement = 5805,
  HTMLOptionElement = 5825,
  HTMLOptionsCollection = 5843,
  HTMLOutputElement = 5865,
  HTMLParagraphElement = 5883,
  HTMLParamElement = 5904,
  HTMLPictureElement = 5921,
  HTMLPreElement = 5940,
  HTMLProgressElement = 5955,
  HTMLQuoteElement = 5975,
  HTMLScriptElement = 5992,
  HTMLSelectElement = 6010,
  HTMLSlotElement = 6028,
  HTMLSourceElement = 6044,
  HTMLSpanElement = 6062,
  HTMLStyleElement = 6078,
  HTMLTableCaptionElement = 6095,
  HTMLTableCellElement = 6119,
  HTMLTableColElement = 6140,
  HTMLTableElement = 6160,
  HTMLTableRowElement = 6177,
  HTMLTableSectionElement = 6197,
  HTMLTemplateElement = 6221,
  HTMLTextAreaElement = 6241,
  HTMLTimeElement = 6261,
  HTMLTitleElement = 6277,
  HTMLTrackElement = 6294,
  HTMLUListElement = 6311,
  HTMLUnknownElement = 6328,
  HTMLVideoElement = 6347,
  HashChangeEvent = 6364,
  Headers = 6380,
  Headers_Iterator = 6388,
  HeapSnapshot = 6405,
  Highlight = 6418,
  HighlightRegistry = 6428,
  History = 6446,
  IDBCursor = 6454,
  IDBCursorWithValue = 6464,
  IDBDatabase = 6483,
  IDBFactory = 6495,
  IDBIndex = 6506,
  IDBKeyRange = 6515,
  IDBLocaleAwareKeyRange = 6527,
  IDBObjectStore = 6550,
  IDBOpenDBRequest = 6565,
  IDBRequest = 6582,
  IDBTransaction = 6593,
  IDBVersionChangeEvent = 6608,
  IIRFilterNode = 6630,
  IOUtils = 6644,
  IdentityCredential = 6652,
  IdleDeadline = 6671,
  Image = 6684,
  ImageBitmap = 6690,
  ImageBitmapRenderingContext = 6702,
  ImageCapture = 6730,
  ImageCaptureError = 6743,
  ImageCaptureErrorEvent = 6761,
  ImageData = 6784,
  ImageDocument = 6794,
  InputEvent = 6808,
  InspectorFontFace = 6819,
  InspectorUtils = 6837,
  InstallTriggerImpl = 6852,
  IntersectionObserver = 6871,
  IntersectionObserverEntry = 6892,
  IntlUtils = 6918,
  JSProcessActorChild = 6928,
  JSProcessActorParent = 6948,
  JSWindowActorChild = 6969,
  JSWindowActorParent = 6988,
  KeyEvent = 7008,
  KeyboardEvent = 7017,
  KeyframeEffect = 7031,
  L10nFileSource = 7046,
  L10nOverlays = 7061,
  L10nRegistry = 7074,
  LargestContentfulPaint = 7087,
  LegacyMozTCPSocket = 7110,
  Localization = 7129,
  Location = 7142,
  Lock = 7151,
  LockManager = 7156,
  MIDIAccess = 7168,
  MIDIConnectionEvent = 7179,
  MIDIInput = 7199,
  MIDIInputMap = 7209,
  MIDIMessageEvent = 7222,
  MIDIOutput = 7239,
  MIDIOutputMap = 7250,
  MIDIPort = 7264,
  MOZ_debug = 7273,
  MatchGlob = 7283,
  MatchPattern = 7293,
  MatchPatternSet = 7306,
  MathMLElement = 7322,
  MediaCapabilities = 7336,
  MediaCapabilitiesInfo = 7354,
  MediaControlService = 7376,
  MediaController = 7396,
  MediaDeviceInfo = 7412,
  MediaDevices = 7428,
  MediaElementAudioSourceNode = 7441,
  MediaEncryptedEvent = 7469,
  MediaError = 7489,
  MediaKeyError = 7500,
  MediaKeyMessageEvent = 7514,
  MediaKeySession = 7535,
  MediaKeyStatusMap = 7551,
  MediaKeyStatusMap_Iterator = 7569,
  MediaKeySystemAccess = 7596,
  MediaKeys = 7617,
  MediaList = 7627,
  MediaMetadata = 7637,
  MediaQueryList = 7651,
  MediaQueryListEvent = 7666,
  MediaRecorder = 7686,
  MediaRecorderErrorEvent = 7700,
  MediaSession = 7724,
  MediaSource = 7737,
  MediaStream = 7749,
  MediaStreamAudioDestinationNode = 7761,
  MediaStreamAudioSourceNode = 7793,
  MediaStreamError = 7820,
  MediaStreamEvent = 7837,
  MediaStreamTrack = 7854,
  MediaStreamTrackAudioSourceNode = 7871,
  MediaStreamTrackEvent = 7903,
  MerchantValidationEvent = 7925,
  MessageBroadcaster = 7949,
  MessageChannel = 7968,
  MessageEvent = 7983,
  MessageListenerManager = 7996,
  MessagePort = 8019,
  MessageSender = 8031,
  MimeType = 8045,
  MimeTypeArray = 8054,
  MouseEvent = 8068,
  MouseScrollEvent = 8079,
  MozCanvasPrintState = 8096,
  MozDocumentMatcher = 8116,
  MozDocumentObserver = 8135,
  MozQueryInterface = 8155,
  MozSharedMap = 8173,
  MozSharedMap_Iterator = 8186,
  MozSharedMapChangeEvent = 8208,
  MozStorageAsyncStatementParams = 8232,
  MozStorageStatementParams = 8263,
  MozStorageStatementRow = 8289,
  MozWritableSharedMap = 8312,
  MutationEvent = 8333,
  MutationObserver = 8347,
  MutationRecord = 8364,
  NamedNodeMap = 8379,
  NavigationPreloadManager = 8392,
  Navigator = 8417,
  NetworkInformation = 8427,
  Node = 8446,
  NodeFilter = 8451,
  NodeIterator = 8462,
  NodeList = 8475,
  Notification = 8484,
  NotificationEvent = 8497,
  NotifyPaintEvent = 8515,
  OES_draw_buffers_indexed = 8532,
  OES_element_index_uint = 8557,
  OES_fbo_render_mipmap = 8580,
  OES_standard_derivatives = 8602,
  OES_texture_float = 8627,
  OES_texture_float_linear = 8645,
  OES_texture_half_float = 8670,
  OES_texture_half_float_linear = 8693,
  OES_vertex_array_object = 8723,
  OVR_multiview2 = 8747,
  OfflineAudioCompletionEvent = 8762,
  OfflineAudioContext = 8790,
  OffscreenCanvas = 8810,
  OffscreenCanvasRenderingContext2D = 8826,
  Option = 8860,
  OscillatorNode = 8867,
  PageTransitionEvent = 8882,
  PaintRequest = 8902,
  PaintRequestList = 8915,
  PaintWorkletGlobalScope = 8932,
  PannerNode = 8956,
  ParentProcessMessageManager = 8967,
  Path2D = 8995,
  PathUtils = 9002,
  PaymentAddress = 9012,
  PaymentMethodChangeEvent = 9027,
  PaymentRequest = 9052,
  PaymentRequestUpdateEvent = 9067,
  PaymentResponse = 9093,
  PeerConnectionImpl = 9109,
  PeerConnectionObserver = 9128,
  Performance = 9151,
  PerformanceEntry = 9163,
  PerformanceEntryEvent = 9180,
  PerformanceEventTiming = 9202,
  PerformanceMark = 9225,
  PerformanceMeasure = 9241,
  PerformanceNavigation = 9260,
  PerformanceNavigationTiming = 9282,
  PerformanceObserver = 9310,
  PerformanceObserverEntryList = 9330,
  PerformancePaintTiming = 9359,
  PerformanceResourceTiming = 9382,
  PerformanceServerTiming = 9408,
  PerformanceTiming = 9432,
  PeriodicWave = 9450,
  PermissionStatus = 9463,
  Permissions = 9480,
  PlacesBookmark = 9492,
  PlacesBookmarkAddition = 9507,
  PlacesBookmarkChanged = 9530,
  PlacesBookmarkGuid = 9552,
  PlacesBookmarkKeyword = 9571,
  PlacesBookmarkMoved = 9593,
  PlacesBookmarkRemoved = 9613,
  PlacesBookmarkTags = 9635,
  PlacesBookmarkTime = 9654,
  PlacesBookmarkTitle = 9673,
  PlacesBookmarkUrl = 9693,
  PlacesEvent = 9711,
  PlacesFavicon = 9723,
  PlacesHistoryCleared = 9737,
  PlacesObservers = 9758,
  PlacesPurgeCaches = 9774,
  PlacesRanking = 9792,
  PlacesVisit = 9806,
  PlacesVisitRemoved = 9818,
  PlacesVisitTitle = 9837,
  PlacesWeakCallbackWrapper = 9854,
  Plugin = 9880,
  PluginArray = 9887,
  PluginCrashedEvent = 9899,
  PointerEvent = 9918,
  PopStateEvent = 9931,
  PopupBlockedEvent = 9945,
  PopupPositionedEvent = 9963,
  PositionStateEvent = 9984,
  PrecompiledScript = 10003,
  ProcessMessageManager = 10021,
  ProcessingInstruction = 10043,
  ProgressEvent = 10065,
  PromiseDebugging = 10079,
  PromiseNativeHandler = 10096,
  PromiseRejectionEvent = 10117,
  PublicKeyCredential = 10139,
  PushEvent = 10159,
  PushManager = 10169,
  PushManagerImpl = 10181,
  PushMessageData = 10197,
  PushSubscription = 10213,
  PushSubscriptionOptions = 10230,
  RTCCertificate = 10254,
  RTCDTMFSender = 10269,
  RTCDTMFToneChangeEvent = 10283,
  RTCDataChannel = 10306,
  RTCDataChannelEvent = 10321,
  RTCDtlsTransport = 10341,
  RTCIceCandidate = 10358,
  RTCIdentityProviderRegistrar = 10374,
  RTCPeerConnection = 10403,
  RTCPeerConnectionIceEvent = 10421,
  RTCPeerConnectionStatic = 10447,
  RTCRtpReceiver = 10471,
  RTCRtpSender = 10486,
  RTCRtpTransceiver = 10499,
  RTCSctpTransport = 10517,
  RTCSessionDescription = 10534,
  RTCStatsReport = 10556,
  RTCTrackEvent = 10571,
  RadioNodeList = 10585,
  Range = 10599,
  ReadableByteStreamController = 10605,
  ReadableStream = 10634,
  ReadableStream_AsyncIterator = 10649,
  ReadableStreamBYOBReader = 10678,
  ReadableStreamBYOBRequest = 10703,
  ReadableStreamDefaultController = 10729,
  ReadableStreamDefaultReader = 10761,
  Report = 10789,
  ReportBody = 10796,
  ReportingObserver = 10807,
  Request = 10825,
  ResizeObserver = 10833,
  ResizeObserverEntry = 10848,
  ResizeObserverSize = 10868,
  Response = 10887,
  SVGAElement = 10896,
  SVGAngle = 10908,
  SVGAnimateElement = 10917,
  SVGAnimateMotionElement = 10935,
  SVGAnimateTransformElement = 10959,
  SVGAnimatedAngle = 10986,
  SVGAnimatedBoolean = 11003,
  SVGAnimatedEnumeration = 11022,
  SVGAnimatedInteger = 11045,
  SVGAnimatedLength = 11064,
  SVGAnimatedLengthList = 11082,
  SVGAnimatedNumber = 11104,
  SVGAnimatedNumberList = 11122,
  SVGAnimatedPreserveAspectRatio = 11144,
  SVGAnimatedRect = 11175,
  SVGAnimatedString = 11191,
  SVGAnimatedTransformList = 11209,
  SVGAnimationElement = 11234,
  SVGCircleElement = 11254,
  SVGClipPathElement = 11271,
  SVGComponentTransferFunctionElement = 11290,
  SVGDefsElement = 11326,
  SVGDescElement = 11341,
  SVGElement = 11356,
  SVGEllipseElement = 11367,
  SVGFEBlendElement = 11385,
  SVGFEColorMatrixElement = 11403,
  SVGFEComponentTransferElement = 11427,
  SVGFECompositeElement = 11457,
  SVGFEConvolveMatrixElement = 11479,
  SVGFEDiffuseLightingElement = 11506,
  SVGFEDisplacementMapElement = 11534,
  SVGFEDistantLightElement = 11562,
  SVGFEDropShadowElement = 11587,
  SVGFEFloodElement = 11610,
  SVGFEFuncAElement = 11628,
  SVGFEFuncBElement = 11646,
  SVGFEFuncGElement = 11664,
  SVGFEFuncRElement = 11682,
  SVGFEGaussianBlurElement = 11700,
  SVGFEImageElement = 11725,
  SVGFEMergeElement = 11743,
  SVGFEMergeNodeElement = 11761,
  SVGFEMorphologyElement = 11783,
  SVGFEOffsetElement = 11806,
  SVGFEPointLightElement = 11825,
  SVGFESpecularLightingElement = 11848,
  SVGFESpotLightElement = 11877,
  SVGFETileElement = 11899,
  SVGFETurbulenceElement = 11916,
  SVGFilterElement = 11939,
  SVGForeignObjectElement = 11956,
  SVGGElement = 11980,
  SVGGeometryElement = 11992,
  SVGGradientElement = 12011,
  SVGGraphicsElement = 12030,
  SVGImageElement = 12049,
  SVGLength = 12065,
  SVGLengthList = 12075,
  SVGLineElement = 12089,
  SVGLinearGradientElement = 12104,
  SVGMPathElement = 12129,
  SVGMarkerElement = 12145,
  SVGMaskElement = 12162,
  SVGMatrix = 12177,
  SVGMetadataElement = 12187,
  SVGNumber = 12206,
  SVGNumberList = 12216,
  SVGPathElement = 12230,
  SVGPathSeg = 12245,
  SVGPathSegArcAbs = 12256,
  SVGPathSegArcRel = 12273,
  SVGPathSegClosePath = 12290,
  SVGPathSegCurvetoCubicAbs = 12310,
  SVGPathSegCurvetoCubicRel = 12336,
  SVGPathSegCurvetoCubicSmoothAbs = 12362,
  SVGPathSegCurvetoCubicSmoothRel = 12394,
  SVGPathSegCurvetoQuadraticAbs = 12426,
  SVGPathSegCurvetoQuadraticRel = 12456,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12486,
  SVGPathSegCurvetoQuadraticSmoothRel = 12522,
  SVGPathSegLinetoAbs = 12558,
  SVGPathSegLinetoHorizontalAbs = 12578,
  SVGPathSegLinetoHorizontalRel = 12608,
  SVGPathSegLinetoRel = 12638,
  SVGPathSegLinetoVerticalAbs = 12658,
  SVGPathSegLinetoVerticalRel = 12686,
  SVGPathSegList = 12714,
  SVGPathSegMovetoAbs = 12729,
  SVGPathSegMovetoRel = 12749,
  SVGPatternElement = 12769,
  SVGPoint = 12787,
  SVGPointList = 12796,
  SVGPolygonElement = 12809,
  SVGPolylineElement = 12827,
  SVGPreserveAspectRatio = 12846,
  SVGRadialGradientElement = 12869,
  SVGRect = 12894,
  SVGRectElement = 12902,
  SVGSVGElement = 12917,
  SVGScriptElement = 12931,
  SVGSetElement = 12948,
  SVGStopElement = 12962,
  SVGStringList = 12977,
  SVGStyleElement = 12991,
  SVGSwitchElement = 13007,
  SVGSymbolElement = 13024,
  SVGTSpanElement = 13041,
  SVGTextContentElement = 13057,
  SVGTextElement = 13079,
  SVGTextPathElement = 13094,
  SVGTextPositioningElement = 13113,
  SVGTitleElement = 13139,
  SVGTransform = 13155,
  SVGTransformList = 13168,
  SVGUnitTypes = 13185,
  SVGUseElement = 13198,
  SVGViewElement = 13212,
  Sanitizer = 13227,
  Scheduler = 13237,
  Screen = 13247,
  ScreenLuminance = 13254,
  ScreenOrientation = 13270,
  ScriptProcessorNode = 13288,
  ScrollAreaEvent = 13308,
  ScrollViewChangeEvent = 13324,
  SecurityPolicyViolationEvent = 13346,
  Selection = 13375,
  ServiceWorker = 13385,
  ServiceWorkerContainer = 13399,
  ServiceWorkerGlobalScope = 13422,
  ServiceWorkerRegistration = 13447,
  SessionStoreFormData = 13473,
  SessionStoreScrollData = 13494,
  SessionStoreUtils = 13517,
  ShadowRealmGlobalScope = 13535,
  ShadowRoot = 13558,
  SharedWorker = 13569,
  SharedWorkerGlobalScope = 13582,
  SimpleGestureEvent = 13606,
  SourceBuffer = 13625,
  SourceBufferList = 13638,
  SpeechGrammar = 13655,
  SpeechGrammarList = 13669,
  SpeechRecognition = 13687,
  SpeechRecognitionAlternative = 13705,
  SpeechRecognitionError = 13734,
  SpeechRecognitionEvent = 13757,
  SpeechRecognitionResult = 13780,
  SpeechRecognitionResultList = 13804,
  SpeechSynthesis = 13832,
  SpeechSynthesisErrorEvent = 13848,
  SpeechSynthesisEvent = 13874,
  SpeechSynthesisUtterance = 13895,
  SpeechSynthesisVoice = 13920,
  StaticRange = 13941,
  StereoPannerNode = 13953,
  Storage = 13970,
  StorageEvent = 13978,
  StorageManager = 13991,
  StreamFilter = 14006,
  StreamFilterDataEvent = 14019,
  StructuredCloneHolder = 14041,
  StructuredCloneTester = 14063,
  StyleSheet = 14085,
  StyleSheetApplicableStateChangeEvent = 14096,
  StyleSheetList = 14133,
  SubmitEvent = 14148,
  SubtleCrypto = 14160,
  SyncMessageSender = 14173,
  SyncReadFile = 14191,
  TCPServerSocket = 14204,
  TCPServerSocketEvent = 14220,
  TCPSocket = 14241,
  TCPSocketErrorEvent = 14251,
  TCPSocketEvent = 14271,
  TaskController = 14286,
  TaskPriorityChangeEvent = 14301,
  TaskSignal = 14325,
  TelemetryStopwatch = 14336,
  TestUtils = 14355,
  TestingDeprecatedInterface = 14365,
  Text = 14392,
  TextClause = 14397,
  TextDecoder = 14408,
  TextDecoderStream = 14420,
  TextEncoder = 14438,
  TextEncoderStream = 14450,
  TextMetrics = 14468,
  TextTrack = 14480,
  TextTrackCue = 14490,
  TextTrackCueList = 14503,
  TextTrackList = 14520,
  TimeEvent = 14534,
  TimeRanges = 14544,
  ToggleEvent = 14555,
  Touch = 14567,
  TouchEvent = 14573,
  TouchList = 14584,
  TrackEvent = 14594,
  TransformStream = 14605,
  TransformStreamDefaultController = 14621,
  TransitionEvent = 14654,
  TreeColumn = 14670,
  TreeColumns = 14681,
  TreeContentView = 14693,
  TreeWalker = 14709,
  UDPMessageEvent = 14720,
  UDPSocket = 14736,
  UIEvent = 14746,
  URL = 14754,
  URLSearchParams = 14758,
  URLSearchParams_Iterator = 14774,
  UniFFIPointer = 14799,
  UniFFIScaffolding = 14813,
  UserInteraction = 14831,
  UserProximityEvent = 14847,
  VRDisplay = 14866,
  VRDisplayCapabilities = 14876,
  VRDisplayEvent = 14898,
  VREyeParameters = 14913,
  VRFieldOfView = 14929,
  VRFrameData = 14943,
  VRMockController = 14955,
  VRMockDisplay = 14972,
  VRPose = 14986,
  VRServiceTest = 14993,
  VRStageParameters = 15007,
  VTTCue = 15025,
  VTTRegion = 15032,
  ValidityState = 15042,
  VideoColorSpace = 15056,
  VideoDecoder = 15072,
  VideoFrame = 15085,
  VideoPlaybackQuality = 15096,
  VideoTrack = 15117,
  VideoTrackList = 15128,
  VisualViewport = 15143,
  WEBGL_color_buffer_float = 15158,
  WEBGL_compressed_texture_astc = 15183,
  WEBGL_compressed_texture_etc = 15213,
  WEBGL_compressed_texture_etc1 = 15242,
  WEBGL_compressed_texture_pvrtc = 15272,
  WEBGL_compressed_texture_s3tc = 15303,
  WEBGL_compressed_texture_s3tc_srgb = 15333,
  WEBGL_debug_renderer_info = 15368,
  WEBGL_debug_shaders = 15394,
  WEBGL_depth_texture = 15414,
  WEBGL_draw_buffers = 15434,
  WEBGL_explicit_present = 15453,
  WEBGL_lose_context = 15476,
  WEBGL_provoking_vertex = 15495,
  WaveShaperNode = 15518,
  WebExtensionContentScript = 15533,
  WebExtensionPolicy = 15559,
  WebGL2RenderingContext = 15578,
  WebGLActiveInfo = 15601,
  WebGLBuffer = 15617,
  WebGLContextEvent = 15629,
  WebGLFramebuffer = 15647,
  WebGLProgram = 15664,
  WebGLQuery = 15677,
  WebGLRenderbuffer = 15688,
  WebGLRenderingContext = 15706,
  WebGLSampler = 15728,
  WebGLShader = 15741,
  WebGLShaderPrecisionFormat = 15753,
  WebGLSync = 15780,
  WebGLTexture = 15790,
  WebGLTransformFeedback = 15803,
  WebGLUniformLocation = 15826,
  WebGLVertexArrayObject = 15847,
  WebKitCSSMatrix = 15870,
  WebSocket = 15886,
  WebTransport = 15896,
  WebTransportBidirectionalStream = 15909,
  WebTransportDatagramDuplexStream = 15941,
  WebTransportError = 15974,
  WebTransportReceiveStream = 15992,
  WebTransportSendStream = 16018,
  WebrtcGlobalInformation = 16041,
  WheelEvent = 16065,
  Window = 16076,
  WindowClient = 16083,
  WindowContext = 16096,
  WindowGlobalChild = 16110,
  WindowGlobalParent = 16128,
  WindowRoot = 16147,
  Worker = 16158,
  WorkerDebuggerGlobalScope = 16165,
  WorkerGlobalScope = 16191,
  WorkerLocation = 16209,
  WorkerNavigator = 16224,
  WorkerTestUtils = 16240,
  Worklet = 16256,
  WorkletGlobalScope = 16264,
  WritableStream = 16283,
  WritableStreamDefaultController = 16298,
  WritableStreamDefaultWriter = 16330,
  XMLDocument = 16358,
  XMLHttpRequest = 16370,
  XMLHttpRequestEventTarget = 16385,
  XMLHttpRequestUpload = 16411,
  XMLSerializer = 16432,
  XPathEvaluator = 16446,
  XPathExpression = 16461,
  XPathResult = 16477,
  XRBoundedReferenceSpace = 16489,
  XRFrame = 16513,
  XRInputSource = 16521,
  XRInputSourceArray = 16535,
  XRInputSourceEvent = 16554,
  XRInputSourcesChangeEvent = 16573,
  XRPose = 16599,
  XRReferenceSpace = 16606,
  XRReferenceSpaceEvent = 16623,
  XRRenderState = 16645,
  XRRigidTransform = 16659,
  XRSession = 16676,
  XRSessionEvent = 16686,
  XRSpace = 16701,
  XRSystem = 16709,
  XRView = 16718,
  XRViewerPose = 16725,
  XRViewport = 16738,
  XRWebGLLayer = 16749,
  XSLTProcessor = 16762,
  XULCommandEvent = 16776,
  XULElement = 16792,
  XULFrameElement = 16803,
  XULMenuElement = 16819,
  XULPopupElement = 16834,
  XULResizerElement = 16850,
  XULTextElement = 16868,
  XULTreeElement = 16883,
  console = 16898,
  webkitSpeechGrammar = 16906,
  webkitSpeechGrammarList = 16926,
  webkitSpeechRecognition = 16950,
  webkitURL = 16974,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
